<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                <li><a href = "{% url 'logout'%}">Logout</a></li>
                {% if user.is_authenticated %}
                    <li><a href ="{% url 'home'%}">Receipt List</a></li>
                    <li><a href ="{% url 'create_receipt'%}">Create Receipt</a></li>
                    <li><a href ="{% url 'create_category'%}">Create Category</a></li>
                    <li><a href ="{% url 'create_account'%}">Create Account</a></li>
                    <li><a href ="{% url 'accounts_list'%}">Account List</a></li>
                    <li><a href ="{% url 'category_list'%}">Category List</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>

    <main>
        <h1>Receipt Categories</h1>
        <table>
            <thead>
                <tr>
                    <th>Categories</th>
                    <th>Number of receipts</th>

                </tr>
            </thead>
            <tbody>
                {% for category in categories %}
                    <tr>
                        <td>{{category.name}}</td>
                        <td>{{category.receipts.all|length}}</td>
                    <tr>
                {% endfor %}
            </tbody>
        </table>
    </main>
</body>
</html>
